summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFlorian Schmaus <flow@gentoo.org>2024-04-30 12:04:59 +0200
committerFlorian Schmaus <flow@gentoo.org>2024-04-30 12:05:07 +0200
commitfacf304132678fa20281007a18adfaa1847a6120 (patch)
tree826e2f61c0b8e3f02a30eefb98228fa21f083ec3
parenttexlive-module.eclass: install man pages in right location (diff)
downloadtex-overlay-facf304132678fa20281007a18adfaa1847a6120.tar.gz
tex-overlay-facf304132678fa20281007a18adfaa1847a6120.tar.bz2
tex-overlay-facf304132678fa20281007a18adfaa1847a6120.zip
avoid loop in man page installation
Signed-off-by: Florian Schmaus <flow@gentoo.org>
-rw-r--r--eclass/texlive-module.eclass7
1 files changed, 2 insertions, 5 deletions
diff --git a/eclass/texlive-module.eclass b/eclass/texlive-module.eclass
index 11d869a..8035322 100644
--- a/eclass/texlive-module.eclass
+++ b/eclass/texlive-module.eclass
@@ -362,11 +362,8 @@ texlive-module_src_install() {
if ver_test -ge 2023 && [[ ${CATEGORY} == dev-texlive ]]; then
eshopts_push -s nullglob
- local man_page
- for man_page in texmf-dist/doc/man/man[1-8]/*.[1-8]; do
- doman "${man_page}"
- rm "${man_page}" || die
- done
+ doman texmf-dist/doc/man/man[0-9n]/*.[0-9n]
+ rm texmf-dist/doc/man/man[0-9n]/*.[0-9n] || die
eshopts_pop
fi
else